extends Scene


func _on_island_beach_interacted() -> void:
	$kq4_035_island_beach.default_script(self)


func _on_island_beach_east_interacted() -> void:
	$kq4_040_island_beach_east.default_script(self)


func _on_island_garden_interacted() -> void:
	$kq4_038_island_garden.default_script(self)


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.say(ego, "The beautiful blue ocean washes gently upon the shore of the magical island. Dominating the center of this island is a splendid ivory palace.")
	).build(self, "_on_script_complete"))


func _on_shore_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.say(ego, "The gentle waves of the blue ocean lap against the sandy shore of this magical island.")
	).build(self, "_on_script_complete"))
